# class RSS::Maker::Atom::Feed::Items::Item

### Public Instance Methods

have_required_values?() click to toggle source
Calls superclass method

    # File lib/rss/maker/feed.rb, line 196
    def have_required_values?
      set_default_values do
        super and title {|t| t.have_required_values?}
      end
    end

to_feed(feed) click to toggle source

    # File lib/rss/maker/feed.rb, line 181
    def to_feed(feed)
      set_default_values do
        entry = feed.class::Entry.new
        set = setup_values(entry)
        entry.dc_dates.clear
        setup_other_elements(feed, entry)
        if set
          feed.entries << entry
          set_parent(entry, feed)
        elsif variable_is_set?
          raise NotSetError.new("maker.item", not_set_required_variables)
        end
      end
    end

### Private Instance Methods

_set_default_values(&block) click to toggle source
Calls superclass method

    # File lib/rss/maker/feed.rb, line 217
    def _set_default_values(&block)
      keep = {
        :id => id,
      }
      self.id ||= link
      super(&block)
    ensure
      self.id = keep[:id]
    end

not_set_required_variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/feed.rb, line 211
    def not_set_required_variables
      vars = super
      vars << "title" unless title {|t| t.have_required_values?}
      vars
    end

required_variable_names() click to toggle source

    # File lib/rss/maker/feed.rb, line 203
    def required_variable_names
      %w(id updated)
    end

variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/feed.rb, line 207
    def variables
      super + ["updated"]
    end